Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.RowNotFoundException

public class RowNotFoundException
extends JboException

Thrown when the requested row is not found. This excecption may be thrown for either an Entity Object row or a View Object row.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`RowNotFoundException(boolean entityRow, java.lang.String objName, Key key)` Constructs a new instance when a row of a given key is not found.
`RowNotFoundException(RowSetIterator rsi, java.lang.Object hdl)` Constructs a new instance when a row of a given row handle is not found.
`RowNotFoundException(java.lang.String voName, java.lang.String eoBaseName)` Constructs a new instance when the requested entity row within a view row is `null`.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowNotFoundException

    public RowNotFoundException(boolean entityRow,
                                java.lang.String objName,
                                Key key)

  Constructs a new instance when a row of a given key is not found.
  Parameters:
    `entityRow` - `true` if the row not found is an Entity Object row, or `false` if a View Object row.
    `objName` - the name of the entity or view object where the error occurred.
    `key` - the key of the row that could not be located.

### RowNotFoundException

    public RowNotFoundException(RowSetIterator rsi,
                                java.lang.Object hdl)

  Constructs a new instance when a row of a given row handle is not found.
  Parameters:
    `rsi` - `RowSetIterator` in which no row is found.
    `hdl` - the row handle of the missing row.

### RowNotFoundException

    public RowNotFoundException(java.lang.String voName,
                                java.lang.String eoBaseName)

  Constructs a new instance when the requested entity row within a view row is `null`. For example, if a View Object consists of two Entity Object bases, and if the secondary Entity Object base is reference-only, a view may have `null` for that Entity Object row, if the foreign key linking the primary to secondary EO base is `null`.

  Under this scenario, if the user attempts to access and operate on that `null` Entity Object row, this constructor will be used to instantiate `RowNotFoundException`.

  Parameters:
    `voName` - the name of the View Object where the error occured.
    `eoBaseName` - the name of the secondary Entity Object base whose entity row in the view row is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD